#pragma once
#include <vector>

class CivOptSchedEngine;
class GenAlg;
/**
    染色体，实值编码
*/
class Genome
{
public:
    friend class GenAlg;
    friend class CivOptSchedEngine;

    Genome() :fitness(0) {}
    Genome(std::vector <double> vec, double f) : vecGenome(vec), fitness(f) {}  //类的带参数初始化参数。  
private:
    std::vector<double> vecGenome;  // 装载基因的容器  

    double fitness; // 适应度  
};
